Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.thalia.bio.entity.factory
Class MapRawFactory

    java.lang.Object
      org.thalia.bio.entity.factory.BioEntityFactory
          org.thalia.bio.entity.factory.MapRawFactory

    public class MapRawFactory

extends BioEntityFactory

Author:
  jveyrier TODO To change the template for this generated type comment go to Window - Preferences - Java - Code Style - Code Templates

Constructor Summary
`MapRawFactory()`

Method Summary
`IBioEntity` | `load(java.io.InputStream inputStream)`
`IBioEntity` | `load(java.io.Reader reader)`
`void` | `unload(IBioEntity entity, java.io.OutputStream stream)`
`void` | `unload(IBioEntity entity, java.io.Writer writer)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MapRawFactory

    public MapRawFactory()

Method Detail

### load

    public IBioEntity load(java.io.InputStream inputStream)
                    throws java.io.IOException

  Specified by:
    `load` in class `BioEntityFactory`
  Parameters:
    `inputStream` -
  Returns:
  Throws:
    `java.io.IOException`

### load

    public IBioEntity load(java.io.Reader reader)
                    throws java.io.IOException

  Specified by:
    `load` in class `BioEntityFactory`
  Throws:
    `java.io.IOException`

### unload

    public void unload(IBioEntity entity,
                       java.io.Writer writer)
                throws java.io.IOException

  Specified by:
    `unload` in class `BioEntityFactory`
  Throws:
    `java.io.IOException`

### unload

    public void unload(IBioEntity entity,
                       java.io.OutputStream stream)
                throws java.io.IOException

  Specified by:
    `unload` in class `BioEntityFactory`
  Throws:
    `java.io.IOException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD